OpenDCL Forums

OpenDCL => Studio/Dialog Editor => Topic started by: amc.dicsac on May 12, 2016, 03:44:37 PM

Title: DCL-Form-Resize
Post by: amc.dicsac on May 12, 2016, 03:44:37 PM
Hello such'm using this "DCL-Form-Resize" function in the following code, but I can not do that again take the initial size was.

Code (autolisp) Select
(defun c:PALETA1DEU/Prototipo1/btsize#OnAccionado ()
(if  (= 295 (dcl-Control-SetMinHeight PALETA1DEU/Prototipo1) )
   (progn (dcl-Form-Resize PALETA1DEU/Prototipo1  162 640)
               (dcl-Form-Resize PALETA1DEU/Prototipo1  162 295)
)
)
)
Title: Re: DCL-Form-Resize
Post by: roy_043 on May 13, 2016, 12:32:03 AM
Where are you 'taking the original size' in the code? And why are you using dcl-Form-Resize twice?
Title: Re: DCL-Form-Resize
Post by: amc.dicsac on May 13, 2016, 08:13:43 AM
Hello such what I try to do is create a button that allows me to resize the high, similar to what is done with the properties palette AutoCAD that allows us to expand and extend the items
Title: Re: DCL-Form-Resize
Post by: amc.dicsac on May 13, 2016, 10:47:33 AM
where it can be the error  :-\

Code (autolisp) Select
(defun c:PALETA1DEU/Prototipo1/btsize#OnAccionado ( / )
(if (= (Car (dcl-Form-GetControlArea PALETA1DEU/Prototipo1)) 295)
(progn
(dcl-Form-Resize PALETA1DEU/Prototipo1 162 640)
(dcl-Control-SetPicture PALETA1DEU/Prototipo1/btsize 242)
);_ progn
(progn
(dcl-Form-Resize PALETA1DEU/Prototipo1 162 295)
(dcl-Control-SetPicture PALETA1DEU/Prototipo1/btsize 241)
);_ progn
);_ if
(princ))
Title: Re: DCL-Form-Resize
Post by: roy_043 on May 13, 2016, 11:23:24 AM
You may have to undock the palette for the resizing to work.
Title: Re: DCL-Form-Resize
Post by: amc.dicsac on May 13, 2016, 11:37:37 AM
Hello thanks, but already I found the error

Code (autolisp) Select
(defun c:PALETA1DEU/Prototipo1/btsize#OnAccionado ( / )
(if (= (cadr (dcl-Form-GetControlArea PALETA1DEU/Prototipo1)) 295)
(progn
(dcl-Form-Resize PALETA1DEU/Prototipo1 162 640)
(dcl-Control-SetPicture PALETA1DEU/Prototipo1/btsize 242)
);_ progn
(progn
(dcl-Form-Resize PALETA1DEU/Prototipo1 162 295)
(dcl-Control-SetPicture PALETA1DEU/Prototipo1/btsize 241)
);_ progn
);_ if
)